Bug 1223801 - Let the user specify a static network configuration for the engine appliance
Summary: Let the user specify a static network configuration for the engine appliance
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-setup
Version: 3.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.6.0
Assignee: Simone Tiraboschi
QA Contact: Artyom
URL:
Whiteboard: integration
Depends On:
Blocks: 1217106 1234915
TreeView+ depends on / blocked
 
Reported: 2015-05-21 13:14 UTC by Simone Tiraboschi
Modified: 2015-11-04 13:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The oVirt appliance generally relies on DHCP but on small deployment it would be useful to let the user specify a static networking configuration for the engine VM.
Clone Of:
Environment:
Last Closed: 2015-11-04 13:47:48 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 41357 master MERGED packaging: setup: let the user configure engine VM networking Never

Description Simone Tiraboschi 2015-05-21 13:14:03 UTC
Description of problem:
The user could now configure some of the appliance parameters such its hostname via cloud-init.
But the appliance still relies only on DHCP based configuration.
Let the user specify a static network configuration for the appliance and provide it over cloud-init.

Version-Release number of selected component (if applicable):
3.6

How reproducible:
100%

Steps to Reproduce:
1. deploy hosted-engine configuring the appliance via cloud-init
2.
3.

Actual results:
it simply relies over DHCP

Expected results:
it should ask about an optional static configuration

Additional info:
Cloud-init already supports network-interfaces field and it should be able to translate it into the specific format for the guest OS.
Example:
network-interfaces: |
  iface eth0 inet static
  address 192.168.1.10
  network 192.168.1.0
  netmask 255.255.255.0
  broadcast 192.168.1.255
  gateway 192.168.1.254

Evaluate if we also want to push an entry for the host in guest /etc/hosts

Comment 1 Artyom 2015-09-01 10:53:38 UTC
Verified on ovirt-hosted-engine-setup-1.3.0-0.4.beta.git42eb801.el7ev.noarch
Use have possibility to choose static network configuration(ip, DNS, default gateway)

Comment 2 Sandro Bonazzola 2015-11-04 13:47:48 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.